APT-EXTRACTTEMPLATE(1)

NOME
apt-extracttemplates - Utilitário para extrair configurações e modelos debconf a partir de pacotes Debian

SINOPSE

apt-extracttemplates [-t=directório_temporário] nome_do_ficheiro... {-v | --version} {-h | --help}

DESCRIÇÃO

apt-extracttemplates irá receber um ou mais ficheiros de pacotes Debian na sua entrada e escrever (para um directório temporário) todos os scripts de configuração associados e ficheiros de modelo. Por cada pacote passado por ele que contenha scripts de configuração e modelos, será gerada uma linha no formato:

pacote versão ficheiro-modelo script-de-configuração

ficheiro-modelo e script-de-configuração são escritos num directório temporário especificado por -t ou --tempdir (APT::ExtractTemplates::TempDir) directório, com nomes de ficheiros no formato pacote.modelo.XXXXXX e pacote.configuração.XXXXXX

OPÇÕES

Todas as opções de linha de comandos podem ser definidas usando o ficheiro de configuração, as descrições indicam a opção de configuração a definir. Para opções booleanas você pode sobre por o ficheiro de configuração usando algo como -f-,--no-f, -f=no ou várias outras variantes.

-t, --tempdir
    Directório temporário para onde escrever ficheiros debconf modelo extraídos e scripts de configuração. Item de Configuração: APT::ExtractTemplates::TempDir

-h, --help
    Mostra um sumário curto da utilização.

-v, --version
    Mostra a versão do programa.

--audit
    -Mostra mensagens audit (e notificações). Isto sobrepõe a opção quiet, mas apenas para mensagens de notificação, não as de progresso.

-c, --config-file
    Ficheiro de Configuração; Especifica o ficheiro de configuração a usar. O programa irá ler o ficheiro de configuração predefinido e depois este ficheiro de configuração. Se as definições de configuração precisarem de ser definidas antes, os ficheiros de configuração predefinidos são analisados especificando um ficheiro com a variável de ambiente APT_CONFIG. Veja apt.conf(5) para informação de sintaxe.

-o, --option
    Define uma Opção de Configuração; Isto irá definir uma opção de configuração arbitrária. A sintaxe é -o Foo::Bar=bar. -o e --option podem ser usadas várias vezes para definir opções diferentes.

--cli-version
    Requisita uma versão CLI específica. Isto é um padrão que recebe uma versão MAJOR.MINOR. Você pode omitir a versão MINOR, que no caso será usado o nível menor suportado mais recente.

    Os rastreios de versão são apresentados como se segue: A versão 3.2 tem versões equivalentes 0.32, 1.22, e 2.12, que implementam novas funcionalidades para as suas versões maiores especificadas.

    Um caso especial é o padrão de versão X.9: Uma versão tipo 2.9 é seguida por 3.0, mas 2.10 segue diretamente em 2.8; dado que nós usamos números de versão ímpar como série de desenvolvimento (2.9 é a série de desenvolvimento 3.0).

    Esta funcionalidade foi introduzida no APT 3.1.10, e substitui a configuração específica de binário. Você pode usar o APT::Version para efeito semelhante em binários mais antigos, por exemplo, -o APT::Version=2 para fazer o apt(8) comportar-se como a série 2.x.

    O valor predefinido é a versão APT atual para apt(8)e 0.(10 * major + minor) para os comandos clássicos. A série 0.X é software descontinuado e os outros comandos irão rolar sobre a série 2.x no futuro.

--no-color, --color
    Liga e desliga cores. As cores estão ligadas por predefinição nos terminais suportados para apt(8) e também podem ser desativadas usando as variáveis de ambiente NO_COLOR ou APT_NO_COLOR, ou também configuradas pela opção de configuração e escopo APT::Color, veja apt.conf(5) para informação sobre isso.

VEJA TAMBÉM

apt.conf(5)

DIAGNÓSTICO

apt-extracttemplates devolve zero na operação normal, 100 decimal em erro.

BUGS

página de bugs do APT[1]. Se deseja reportar um bug no APT, por favor veja /usr/share/doc/debian/bug-reporting.txt ou o comando reportbug(1).

TRADUÇÃO

A tradução Portuguesa foi feita por Américo Monteiro <a_monteiro@netcabo.pt> de 2009 a 2012. A tradução foi revista pela equipa de traduções portuguesas da Debian <traduz@debianpt.org>.

Note que este documento traduzido pode conter partes não traduzidas. Isto é feito propositadamente, para evitar perdas de conteúdo quando a tradução está atrasada relativamente ao conteúdo original.

AUTORES

Jason Gunthorpe

Equipa do APT

NOTAS

1.  página de bugs do APT
    https://bugs.debian.org/src:apt